petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFVGetComponentName

Get the name of a component (used in output and viewing)

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVGetComponentName(PetscFV fvm, PetscInt comp, const char **name)

Logically collective on fvm

### Input Parameters

| fvm | - the PetscFV object
| comp | - the component number

### Output Parameter

name -the component name

### See Also

PetscFVSetComponentName()

### Level

intermediate

### Location

src/dm/dt/fv/interface/fv.c
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages